//<: 'dnssec.h' v0.005 @ 2012-10-08 10:44:24 UTC (Jonas@Ubbe-III) "Jonas Eckerman" <jonas@truls.org> :>//

// Output RRSIG (resource record signature) record
int put_RRSIG(u1 *buf, u1 **po, char **name, u2 type, char *rr, u1 *end);
// Output DNSKEY (DNSSEC public key) record
int put_DNSKEY(u1 *buf, u1 **po, char *rr, u1 *end);
// Output DS (DNSSEC delegation signer) record
int put_DS(u1 *buf, u1 **po, char *rr, u1 *end);
// Output NSEC (DNSSEC next secure) record
int put_NSEC(u1 *buf, u1 **po, char *rr, u1 *end);

// Find wildcards NSECS:
#define FNS_WILD 0x01
// Try to find hosts for NSEC records:
int find_nsecs(char **psec1, char **psec2, unsigned char *query, int flags);
