//<: 'log.h' v0.003 @ 2012-09-26 18:33:17 UTC :>//

/* What the DNS logging */

#include <syslog.h>

#define LOG_ERROR	LOG_ERR
#define LOG_WARN	LOG_WARNING
#define LOG_CRITICAL	LOG_CRIT

extern int loglevel;

#define logmsg(level,...) do { if (level <= loglevel) logstr(level,__VA_ARGS__); } while (0)

void logerr(const char *format, ...);
void logstr(int level, const char *format, ...);

void logopen(char *filename);
void logclose();

void dbglogopen(char *filename);
void dbglogclose();

void syslogopen();
void syslogclose();

void closelogs();
